# HG changeset patch
# Node ID 7c948bbb4325192f82e29ee0cd00fa6e0e006807
# Parent  bdea968e70fe78cafb176aee566d913077ab819d
diff --git a/libpurple/purpleprotocolmanager.c b/libpurple/purpleprotocolmanager.c
--- a/libpurple/purpleprotocolmanager.c
+++ b/libpurple/purpleprotocolmanager.c
@@ -36,8 +36,6 @@
 enum {
 	SIG_ADDED,
 	SIG_REMOVED,
-	SIG_REGISTERED,
-	SIG_UNREGISTERED,
 	N_SIGNALS,
 };
 static guint signals[N_SIGNALS] = {0, };
@@ -209,52 +207,6 @@
 		G_TYPE_NONE,
 		1,
 		PURPLE_TYPE_PROTOCOL);
-
-	/**
-	 * PurpleProtocolManager::registered:
-	 * @manager: The #PurpleProtocolManager instance.
-	 * @protocol: The #PurpleProtocol that was registered.
-	 *
-	 * Emitted after @protocol has been registered in @manager.
-	 *
-	 * Since: 3.0
-	 *
-	 * Deprecated: 3.0
-	 */
-	signals[SIG_REGISTERED] = g_signal_new_class_handler(
-		"registered",
-		G_OBJECT_CLASS_TYPE(klass),
-		G_SIGNAL_RUN_LAST,
-		NULL,
-		NULL,
-		NULL,
-		NULL,
-		G_TYPE_NONE,
-		1,
-		PURPLE_TYPE_PROTOCOL);
-
-	/**
-	 * PurpleProtocolManager::unregistered:
-	 * @manager: The #PurpleProtocolManager instance.
-	 * @protocol: The #PurpleProtocol that was unregistered.
-	 *
-	 * Emitted after @protocol has been unregistered from @manager.
-	 *
-	 * Since: 3.0
-	 *
-	 * Deprecated: 3.0
-	 */
-	signals[SIG_UNREGISTERED] = g_signal_new_class_handler(
-		"unregistered",
-		G_OBJECT_CLASS_TYPE(klass),
-		G_SIGNAL_RUN_LAST,
-		NULL,
-		NULL,
-		NULL,
-		NULL,
-		G_TYPE_NONE,
-		1,
-		PURPLE_TYPE_PROTOCOL);
 }
 
 /******************************************************************************
@@ -298,7 +250,6 @@
 	g_list_model_items_changed(G_LIST_MODEL(manager), manager->list->len - 1, 0, 1);
 
 	g_signal_emit(G_OBJECT(manager), signals[SIG_ADDED], 0, protocol);
-	g_signal_emit(G_OBJECT(manager), signals[SIG_REGISTERED], 0, protocol);
 
 	return TRUE;
 }
@@ -308,26 +259,6 @@
 	return default_manager;
 }
 
-gboolean
-purple_protocol_manager_register(PurpleProtocolManager *manager,
-                                 PurpleProtocol *protocol, GError **error)
-{
-	g_return_val_if_fail(PURPLE_IS_PROTOCOL_MANAGER(manager), FALSE);
-	g_return_val_if_fail(PURPLE_IS_PROTOCOL(protocol), FALSE);
-
-	return purple_protocol_manager_add(manager, protocol, error);
-}
-
-gboolean
-purple_protocol_manager_unregister(PurpleProtocolManager *manager,
-                                   PurpleProtocol *protocol, GError **error)
-{
-	g_return_val_if_fail(PURPLE_IS_PROTOCOL_MANAGER(manager), FALSE);
-	g_return_val_if_fail(PURPLE_IS_PROTOCOL(protocol), FALSE);
-
-	return purple_protocol_manager_remove(manager, protocol, error);
-}
-
 PurpleProtocol *
 purple_protocol_manager_find(PurpleProtocolManager *manager, const gchar *id) {
 	gpointer value = NULL;
@@ -343,30 +274,6 @@
 	return PURPLE_PROTOCOL(value);
 }
 
-void
-purple_protocol_manager_foreach(PurpleProtocolManager *manager,
-                                PurpleProtocolManagerForeachFunc func,
-                                gpointer data)
-{
-	GHashTableIter iter;
-	gpointer value;
-
-	g_return_if_fail(PURPLE_IS_PROTOCOL_MANAGER(manager));
-	g_return_if_fail(func != NULL);
-
-	g_hash_table_iter_init(&iter, manager->protocols);
-	while(g_hash_table_iter_next(&iter, NULL, &value)) {
-		func(PURPLE_PROTOCOL(value), data);
-	}
-}
-
-GList *
-purple_protocol_manager_get_all(PurpleProtocolManager *manager) {
-	g_return_val_if_fail(PURPLE_IS_PROTOCOL_MANAGER(manager), NULL);
-
-	return g_hash_table_get_values(manager->protocols);
-}
-
 gboolean
 purple_protocol_manager_remove(PurpleProtocolManager *manager,
                                PurpleProtocol *protocol, GError **error)
@@ -395,8 +302,6 @@
 		}
 
 		g_signal_emit(G_OBJECT(manager), signals[SIG_REMOVED], 0, protocol);
-		g_signal_emit(G_OBJECT(manager), signals[SIG_UNREGISTERED], 0,
-		              protocol);
 
 		ret = TRUE;
 	} else {
diff --git a/libpurple/purpleprotocolmanager.h b/libpurple/purpleprotocolmanager.h
--- a/libpurple/purpleprotocolmanager.h
+++ b/libpurple/purpleprotocolmanager.h
@@ -62,18 +62,6 @@
  */
 
 /**
- * PurpleProtocolManagerForeachFunc:
- * @protocol: The #PurpleProtocol instance.
- * @data: User supplied data.
- *
- * A function to be used as a callback with purple_protocol_manager_foreach().
- *
- * Since: 3.0
- */
-PURPLE_AVAILABLE_TYPE_IN_3_0
-typedef void (*PurpleProtocolManagerForeachFunc)(PurpleProtocol *protocol, gpointer data);
-
-/**
  * purple_protocol_manager_add:
  * @manager: The #PurpleProtocolManager instance.
  * @protocol: The #PurpleProtocol to add.
@@ -102,42 +90,6 @@
 PurpleProtocolManager *purple_protocol_manager_get_default(void);
 
 /**
- * purple_protocol_manager_register:
- * @manager: The #PurpleProtocolManager instance.
- * @protocol: The #PurpleProtocol to register.
- * @error: Return address for a #GError, or %NULL.
- *
- * Registers @protocol with @manager.
- *
- * Returns: %TRUE if @protocol was successfully registered with @manager,
- *          %FALSE otherwise.
- *
- * Since: 3.0
- *
- * Deprecated: 3.0
- */
-PURPLE_DEPRECATED_FOR(purple_protocol_manager_add)
-gboolean purple_protocol_manager_register(PurpleProtocolManager *manager, PurpleProtocol *protocol, GError **error);
-
-/**
- * purple_protocol_manager_unregister:
- * @manager: The #PurpleProtocolManager instance.
- * @protocol: The #PurpleProtocol to unregister.
- * @error: Return address for a #GError, or %NULL.
- *
- * Unregisters @protocol from @manager.
- *
- * Returns: %TRUE if @protocol was successfully unregistered from @manager,
- *          %FALSE otherwise.
- *
- * Since: 3.0
- *
- * Deprecated: 3.0
- */
-PURPLE_DEPRECATED_FOR(purple_protocol_manager_remove)
-gboolean purple_protocol_manager_unregister(PurpleProtocolManager *manager, PurpleProtocol *protocol, GError **error);
-
-/**
  * purple_protocol_manager_find:
  * @manager: The #PurpleProtocolManager instance.
  * @id: The id of the #PurpleProtocol to find.
@@ -152,38 +104,6 @@
 PurpleProtocol *purple_protocol_manager_find(PurpleProtocolManager *manager, const gchar *id);
 
 /**
- * purple_protocol_manager_foreach:
- * @manager: The #PurpleProtocolManager instance.
- * @func: (scope call): The #PurpleProtocolManagerForeachFunc to call.
- * @data: User data to pass to @func.
- *
- * Calls @func for each #PurpleProtocol that @manager knows about.
- *
- * Since: 3.0
- *
- * Deprecated: 3.0
- */
-PURPLE_DEPRECATED
-void purple_protocol_manager_foreach(PurpleProtocolManager *manager, PurpleProtocolManagerForeachFunc func, gpointer data);
-
-/**
- * purple_protocol_manager_get_all:
- * @manager: The #PurpleProtocolManager instance.
- *
- * Gets a sorted list of all #PurpleProtocols that are currently registered in
- * @manager.
- *
- * Returns: (transfer container) (element-type PurpleProtocol): The list
- *          containing all of the #PurpleProtocols registered with @manager.
- *
- * Since: 3.0
- *
- * Deprecated: 3.0
- */
-PURPLE_DEPRECATED
-GList *purple_protocol_manager_get_all(PurpleProtocolManager *manager);
-
-/**
  * purple_protocol_manager_remove:
  * @manager: The #PurpleProtocolManager instance.
  * @protocol: The #PurpleProtocol to remove.
